path: /build/build/openal-media-libs-1.23.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-portaudio -sdl alsa jack oss pulseaudio qt5 sndio" emerge media-libs/openal -pv -t && \
    USE="-portaudio -sdl alsa jack oss pulseaudio qt5 sndio" emerge -j ${JOBS} --nodeps media-libs/openal
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/openal && luet-portage --dir /pkgdir/openal
    media-libs/openal && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e1c73ce27bb3a18677342ca0ef23564ab9dee3f9e239168a09df70791d83e2cf
  package:
    name: openal
    version: 1.23.1
    category: media-libs
    use_flags:
    - -portaudio
    - -sdl
    - alsa
    - jack
    - oss
    - pulseaudio
    - qt5
    - sndio
    requires:
    - name: sndio
      version: '>=0'
      category: media-sound
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A software implementation of the OpenAL 3D audio API
    uri:
    - https://www.openal-soft.org/
    license: LGPL-2+ BSD
    buildtimestamp: 2023-08-29 06:15:56.931302786 +0000 UTC m=+179.422138337
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: alsa? ( media-libs/alsa-lib ) jack? ( virtual/jack ) pulseaudio? ( media-sound/pulseaudio
        ) portaudio? ( media-libs/portaudio ) qt5? ( dev-qt/qtcore:5 dev-qt/qtgui:5
        dev-qt/qtwidgets:5 ) sdl? ( media-libs/libsdl2 ) sndio? ( media-sound/sndio:=
        ) oss? ( virtual/os-headers )
      IUSE: alsa coreaudio debug jack oss portaudio pulseaudio sdl sndio qt5 cpu_flags_x86_sse
        cpu_flags_x86_sse2 cpu_flags_x86_sse4_1 cpu_flags_arm_neon
      RDEPEND: alsa? ( media-libs/alsa-lib ) jack? ( virtual/jack ) pulseaudio? (
        media-sound/pulseaudio ) portaudio? ( media-libs/portaudio ) qt5? ( dev-qt/qtcore:5
        dev-qt/qtgui:5 dev-qt/qtwidgets:5 ) sdl? ( media-libs/libsdl2 ) sndio? ( media-sound/sndio:=
        )
      emerge.packages: media-libs/openal
      kit: media-kit
      original.package.name: media-libs/openal
      original.package.slot: "0"
      original.package.version: 1.23.1
    treedir: /build/packages
  package_dir: /pkgdir/openal
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ee0c37801234b8224328ba246dd4e0408800cad69f0ca4b4abc29e28ac345cd8
compressiontype: zstd
files:
- usr/bin/alsoft-config
- usr/bin/openal-info
- usr/include/AL/al.h
- usr/include/AL/alc.h
- usr/include/AL/alext.h
- usr/include/AL/efx-creative.h
- usr/include/AL/efx-presets.h
- usr/include/AL/efx.h
- usr/lib64/cmake/OpenAL/OpenALConfig.cmake
- usr/lib64/cmake/OpenAL/OpenALTargets-gentoo.cmake
- usr/lib64/cmake/OpenAL/OpenALTargets.cmake
- usr/lib64/libopenal.so
- usr/lib64/libopenal.so.1
- usr/lib64/libopenal.so.1.23.1
- usr/lib64/pkgconfig/openal.pc
- usr/share/doc/openal-1.23.1/ChangeLog.bz2
- usr/share/doc/openal-1.23.1/README.md.bz2
- usr/share/doc/openal-1.23.1/alsoftrc.sample.bz2
- usr/share/doc/openal-1.23.1/env-vars.txt.bz2
- usr/share/doc/openal-1.23.1/hrtf.txt.bz2
- usr/share/openal/alsoftrc.sample
- usr/share/openal/hrtf/Default HRTF.mhr
- usr/share/openal/presets/3D7.1.ambdec
- usr/share/openal/presets/hex-quad.ambdec
- usr/share/openal/presets/hexagon.ambdec
- usr/share/openal/presets/itu5.1-nocenter.ambdec
- usr/share/openal/presets/itu5.1.ambdec
- usr/share/openal/presets/presets.txt
- usr/share/openal/presets/rectangle.ambdec
- usr/share/openal/presets/square.ambdec
- var/db/pkg/media-libs/openal-1.23.1/BDEPEND
- var/db/pkg/media-libs/openal-1.23.1/BUILD_TIME
- var/db/pkg/media-libs/openal-1.23.1/CATEGORY
- var/db/pkg/media-libs/openal-1.23.1/CBUILD
- var/db/pkg/media-libs/openal-1.23.1/CFLAGS
- var/db/pkg/media-libs/openal-1.23.1/CHOST
- var/db/pkg/media-libs/openal-1.23.1/CONTENTS
- var/db/pkg/media-libs/openal-1.23.1/COUNTER
- var/db/pkg/media-libs/openal-1.23.1/CXXFLAGS
- var/db/pkg/media-libs/openal-1.23.1/DEFINED_PHASES
- var/db/pkg/media-libs/openal-1.23.1/DEPEND
- var/db/pkg/media-libs/openal-1.23.1/DESCRIPTION
- var/db/pkg/media-libs/openal-1.23.1/EAPI
- var/db/pkg/media-libs/openal-1.23.1/FEATURES
- var/db/pkg/media-libs/openal-1.23.1/HOMEPAGE
- var/db/pkg/media-libs/openal-1.23.1/INHERITED
- var/db/pkg/media-libs/openal-1.23.1/IUSE
- var/db/pkg/media-libs/openal-1.23.1/IUSE_EFFECTIVE
- var/db/pkg/media-libs/openal-1.23.1/KEYWORDS
- var/db/pkg/media-libs/openal-1.23.1/LDFLAGS
- var/db/pkg/media-libs/openal-1.23.1/LICENSE
- var/db/pkg/media-libs/openal-1.23.1/NEEDED
- var/db/pkg/media-libs/openal-1.23.1/PF
- var/db/pkg/media-libs/openal-1.23.1/PROVIDES
- var/db/pkg/media-libs/openal-1.23.1/RDEPEND
- var/db/pkg/media-libs/openal-1.23.1/REQUIRES
- var/db/pkg/media-libs/openal-1.23.1/SIZE
- var/db/pkg/media-libs/openal-1.23.1/SLOT
- var/db/pkg/media-libs/openal-1.23.1/USE
- var/db/pkg/media-libs/openal-1.23.1/environment.bz2
- var/db/pkg/media-libs/openal-1.23.1/openal-1.23.1.ebuild
- var/db/pkg/media-libs/openal-1.23.1/repository
package_cacheimage: ""
runtime:
  name: openal
  version: 1.23.1
  category: media-libs
  use_flags:
  - -portaudio
  - -sdl
  - alsa
  - jack
  - oss
  - pulseaudio
  - qt5
  - sndio
  requires:
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  - name: pulseaudio
    version: '>=0'
    category: media-sound
  - name: sndio
    version: '>=0'
    category: media-sound
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A software implementation of the OpenAL 3D audio API
  uri:
  - https://www.openal-soft.org/
  license: LGPL-2+ BSD
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: alsa? ( media-libs/alsa-lib ) jack? ( virtual/jack ) pulseaudio? ( media-sound/pulseaudio
      ) portaudio? ( media-libs/portaudio ) qt5? ( dev-qt/qtcore:5 dev-qt/qtgui:5
      dev-qt/qtwidgets:5 ) sdl? ( media-libs/libsdl2 ) sndio? ( media-sound/sndio:=
      ) oss? ( virtual/os-headers )
    IUSE: alsa coreaudio debug jack oss portaudio pulseaudio sdl sndio qt5 cpu_flags_x86_sse
      cpu_flags_x86_sse2 cpu_flags_x86_sse4_1 cpu_flags_arm_neon
    RDEPEND: alsa? ( media-libs/alsa-lib ) jack? ( virtual/jack ) pulseaudio? ( media-sound/pulseaudio
      ) portaudio? ( media-libs/portaudio ) qt5? ( dev-qt/qtcore:5 dev-qt/qtgui:5
      dev-qt/qtwidgets:5 ) sdl? ( media-libs/libsdl2 ) sndio? ( media-sound/sndio:=
      )
    emerge.packages: media-libs/openal
    kit: media-kit
    original.package.name: media-libs/openal
    original.package.slot: "0"
    original.package.version: 1.23.1
